## GcalDateSelector GcalDateSelector |

## Functions

GtkWidget * | gcal_date_selector_new ()
GDateTime * | gcal_date_selector_get_date ()
void | gcal_date_selector_set_date ()

## Properties

GDateTime * | date | Read / Write

## Types and Values

#define | GCAL_TYPE_DATE_SELECTOR
| GcalDateSelector

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkEntry
                    ╰── GcalDateSelector

## Implemented Interfaces

GcalDateSelector implements AtkImplementorIface, GtkBuildable, GtkEditable and GtkCellEditable.

## Description

## Functions

### gcal_date_selector_new ()

    GtkWidget *
    gcal_date_selector_new (void);

### gcal_date_selector_get_date ()

    GDateTime *
    gcal_date_selector_get_date (GcalDateSelector *selector);

Get the value of the date shown

#### Parameters

selector | a GcalDateSelector |

#### Returns

the date of the selector.

[transfer none]

### gcal_date_selector_set_date ()

    void
    gcal_date_selector_set_date (GcalDateSelector *selector,
                                 GDateTime *date);

Set the value of the shown date.

#### Parameters

selector | a GcalDateSelector |
date | a valid GDateTime |

## Types and Values

### GCAL_TYPE_DATE_SELECTOR

    #define GCAL_TYPE_DATE_SELECTOR             (gcal_date_selector_get_type ())

### GcalDateSelector

    typedef struct _GcalDateSelector GcalDateSelector;

## Property Details

### The `“date”` property

      “date”                     GDateTime *

The current date of the selector.

Flags: Read / Write